#ifndef FERI_TYPEDEFS
#define FERI_TYPEDEFS
// --------------------------------------------
// -- Rigorous Numerics for Dissipative PDEs --
// --------------------------------------------
// ---------------- Typedefs ------------------
// --------------------------------------------
// by Ferenc Bartha
// http://www.math.u-szeged.hu/~barfer
// --------------------------------------------

#include "main.hpp"
#include "tools.hpp"
#include "structures.hpp"
#include "vectorfield.hpp"

// self-consistent bounds
typedef SelfC_Bounds<m, M>												BoundsType;
typedef SelfC_Main<m>													MainType;
typedef BoundsType::midTailType											midTailType;
typedef BoundsType::TailType											TailType;

// multimap
typedef VectorField<m, M>												inclusion_Term;

/*
// differential inclusion
typedef SelfC_DiffInclusion<m, M, multiMap>								diff_Inclusion_CW;

// poincare map and section
typedef SelfC_PoincareSection<m>										poincare_Section;
typedef SelfC_PoincareMap<diff_Inclusion_CW, poincare_Section>			poincare_Map;
*/

// non rigorous computations
typedef nonRigVectorField<double, nR>									nRVectorField;
typedef capd::dynsys::BasicFadTaylor<nRVectorField>						nRSolver;
typedef capd::vectalg::Vector<double, nR>								nRVector;
typedef capd::vectalg::Matrix<double, nR, nR>							nRMatrix;

// vectors, matrices
typedef capd::vectalg::Vector<interval, m>								VectorType;
typedef capd::vectalg::Matrix<interval, m, m>							MatrixType;
typedef capd::vectalg::Vector<double, m>								dVector;
typedef capd::vectalg::Matrix<double, m, m>								dMatrix;
typedef capd::vectalg::Vector<bool,m>									bVector;

// ~ end of file ~
#endif
